﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;

namespace HeuristicLab.MainForm.WPF {

  public abstract class WPFMenuItem : WPFUserInterfaceItem {
        
    private MenuItem menuItem;
    public MenuItem MenuItem {
      get {
        return menuItem;
      }
      set {
        if (value == menuItem)
          return;
        menuItem = value;
        OnWPFMenuItemChanged();
      }
    }

    public event EventHandler MenuItemChanged;

    protected void OnWPFMenuItemChanged() {
      EventHandler handler = MenuItemChanged;
      if (handler != null)
        handler(this, EventArgs.Empty);        
    }    
    
  }
}
